path: /build/build/qtlockedfile-dev-qt-2.4.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} dev-qt/qtlockedfile -pv -t && \
    emerge -j ${JOBS} --nodeps dev-qt/qtlockedfile
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtlockedfile && luet-portage --dir /pkgdir/qtlockedfile
    dev-qt/qtlockedfile && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:89195c64314f9d3fd2b3285c228f8584bb6420a2ec83f7d92dd4fc0ce709cf97
  package:
    name: qtlockedfile
    version: 2.4.1
    category: dev-qt
    requires:
    - name: qtgui
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: QFile extension with advisory locking functions
    uri:
    - https://code.qt.io/cgit/qt-solutions/qt-solutions.git/
    license: '|| ( LGPL-2.1 GPL-3 )'
    buildtimestamp: 2023-08-27 08:28:39.457396014 +0000 UTC m=+114.229640970
    labels:
      DEPEND: dev-qt/qtcore:5
      IUSE: doc
      RDEPEND: dev-qt/qtcore:5
      emerge.packages: dev-qt/qtlockedfile
      kit: qt-kit
      original.package.name: dev-qt/qtlockedfile
      original.package.slot: "0"
      original.package.version: 2.4.1_p20200404
    treedir: /build/packages
  package_dir: /pkgdir/qtlockedfile
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1f18f737448ef9e1f691c695efad414dbeea4774c7352e9d7631f72e482aa744
compressiontype: zstd
files:
- usr/include/qt5/QtSolutions/QtLockedFile
- usr/include/qt5/QtSolutions/qtlockedfile.h
- usr/lib64/libQt5Solutions_LockedFile-2.4.so
- usr/lib64/libQt5Solutions_LockedFile-2.4.so.1
- usr/lib64/libQt5Solutions_LockedFile-2.4.so.1.0
- usr/lib64/libQt5Solutions_LockedFile-2.4.so.1.0.0
- usr/lib64/qt5/mkspecs/features/qtlockedfile.prf
- usr/share/doc/qtlockedfile-2.4.1_p20200404/README.TXT.bz2
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/BUILD_TIME
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/CATEGORY
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/CBUILD
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/CFLAGS
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/CHOST
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/CONTENTS
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/COUNTER
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/CXXFLAGS
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/DEFINED_PHASES
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/DEPEND
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/DESCRIPTION
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/EAPI
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/FEATURES
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/HOMEPAGE
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/INHERITED
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/IUSE
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/KEYWORDS
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/LDFLAGS
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/LICENSE
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/NEEDED
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/PF
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/PROVIDES
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/RDEPEND
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/REQUIRES
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/SIZE
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/SLOT
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/USE
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/environment.bz2
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/qtlockedfile-2.4.1_p20200404.ebuild
- var/db/pkg/dev-qt/qtlockedfile-2.4.1_p20200404/repository
package_cacheimage: ""
runtime:
  name: qtlockedfile
  version: 2.4.1
  category: dev-qt
  requires:
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: QFile extension with advisory locking functions
  uri:
  - https://code.qt.io/cgit/qt-solutions/qt-solutions.git/
  license: '|| ( LGPL-2.1 GPL-3 )'
  labels:
    DEPEND: dev-qt/qtcore:5
    IUSE: doc
    RDEPEND: dev-qt/qtcore:5
    emerge.packages: dev-qt/qtlockedfile
    kit: qt-kit
    original.package.name: dev-qt/qtlockedfile
    original.package.slot: "0"
    original.package.version: 2.4.1_p20200404
